{ config, pkgs, lib, ... }:

{
  nix.trustedUsers = [ "@wheel" ];

  nix.nixPath = [
    "nixos-config=/run/current-system/libkookie/roots/${config.networking.hostName}.nix"
    "home-manager=/run/current-system/libkookie/home-manager"
    "nixpkgs-overlays=/run/current-system/libkookie/overlays"
    "nixpkgs=/run/current-system/libkookie/nixpkgs"
  ];

  system.extraSystemBuilderCmds = ''
    ln -s ${lib.cleanSource ../..} $out/libkookie
  '';

  nixpkgs.overlays = [ (import ../../overlays) ];
}
