/* Overlays in LIBKOOKIE are split into three parts
 * 
 * patches: upstream but with cool stuff
 * staging: things that might become upstream
 * kookie: scripts and utils that won't leave LIBKOOKIE
 */

self: super: {

  ## Custom packages (previously kookiepkgs)
  barrel-blog = self.callPackage ./kookie/barrel-blog { inherit (super); };
  brook-frontend = self.callPackage ./kookie/brook-frontend { inherit (super); };
  invoice = self.callPackage ./kookie/invoice { inherit (super); };
  libkookie-emacs = self.callPackage ./kookie/emacs { inherit (super); };
  spacekookie-de = self.callPackage ./kookie/spacekookie-de { inherit (super); };

  ## Packages to-be-upstreamed
  foo2zjs = self.callPackage ./staging/foo2zjs { };
  nodemcu-uploader = self.callPackage ./staging/nodemcu-uploader { };
  pleroma = self.callPackage ./staging/pleroma { };

  ## Override packages from nixpkgs
  cgit = self.callPackage ./patches/cgit { inherit (super) cgit; };
  htop = self.callPackage ./patches/htop { inherit (super) htop; };
  iosevka = self.callPackage ./patches/iosevka { inherit (super) iosevka; };
}
