{ lib, stdenv, fetchgit, python3Packages }:

let
  pelicanNoTest = (python3Packages.pelican.overrideAttrs ({ ... }: {
    doInstallCheck = false;
  }));
in
stdenv.mkDerivation rec {
  name = "spacekookie.de";

  src = fetchgit {
    url = "https://git.sr.ht/~spacekookie/website";
    rev = "6545cedc923af510c23df1c4ea33514e96926e70";
    sha256 = "1p0z2c1fz68fbwfzx2j7d5zgllr33860kbzyd9wz6fk8i2yhz1l1";
  }; 

  buildInputs = with python3Packages; [ pelicanNoTest webassets markdown ];

  installPhase = ''
      pelican content
      cp -r output $out
    '';

  meta = with stdenv.lib; {
    description = "The `about` and `blog` part of spacekookie.de";
    homepage = "https://spacekookie.de";
    license = licenses.mit;
  };
}

